from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XVBACompatibility(Protocol):
    def addVBAScriptListener(self, Listener: XVBAScriptListener) -> None: ...
    def removeVBAScriptListener(self, Listener: XVBAScriptListener) -> None: ...
    def broadcastVBAScriptEvent(self, Identifier: int, ModuleName: str) -> None: ...
